Bug 1176928 - Colour corruption on amdgpu with standard kernel
Colour corruption on amdgpu with standard kernel
Status: RESOLVED NORESPONSE
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.2
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-24 14:37 UTC by Luigi Baldoni
Modified: 2021-12-31 14:44 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luigi Baldoni 2020-09-24 14:37:48 UTC
I'm seeing brief colour corruptions on my screen.
Using AMD RX580, plasma5, X11.

The defect seems to disappear with kernel-default from Kernel:stable (switching to Mesa from X11:XOrg doesn't appear to have any positive effect).

The problem was possibly more frequent on my old system (Z77/i5-3570K) which I recently upgraded to B550/Ryzen 7, but it's still there.
Comment 1 Takashi Iwai 2020-09-29 16:38:04 UTC
If we can identify the fix commit, we may try backporting it, but the hardest part is to figure out the fix out of (literally) thousands kernel commits...

FWIW, we're going to have the full backport of drm stack for Leap 15.3, so the problem will be fixed there :)
Comment 2 Miroslav Beneš 2021-12-31 14:44:20 UTC
Probably fixed, but no response. Closing.